/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_H)
#define _DATA_H

typedef enum {
	DEVICE_INFO_GEAR = 0,
	DEVICE_INFO_PHONE = 1,
	DEVICE_INFO_MAX,
} device_info_e;

/*
 * Initialize the data component
 */
void data_initialize(void);

/*
 * Finalize the data component
 */
void data_finalize(void);

void data_get_resource_path(const char *file_in, char *file_path_out, int file_path_max);
char *data_get_image(const char *part_name);
char *data_get_text(const char *part_name);
char *data_get_album_title(void);
char *data_get_album_artist(void);
char *data_get_album_art(void);
char *data_get_device_image(device_info_e device);

#endif
